package com.perforce.maven.scm.provider.p4.manager;

import org.apache.maven.scm.ScmException;

import com.perforce.maven.scm.provider.p4.repository.P4ScmProviderRepository;
import com.perforce.p4java.server.IServer;

public interface P4ServerManager
{
    /**
     * The Plexus role.
     */
    String ROLE = P4ServerManager.class.getName();

    IServer getServer( P4ScmProviderRepository repo )
        throws ScmException;

    IServer createServer( P4ScmProviderRepository repo )
        throws ScmException;
}
